Skip to main content
GET
/
api
/
v1
/
tasks
List tasks with optional filtering.
curl --request GET \
  --url https://api.backside.app/api/v1/tasks \
  --header 'Authorization: Bearer <token>'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

project_id
string<uuid>

Filter by project

state
string

Filter by state

status_id
string<uuid>

Filter by status

assignee_id
string<uuid>

Filter by assignee

priority
string

Filter by priority

parent_id
string<uuid>

Filter by parent task

label
string

Filter by label

due_before
string

Due before date

due_after
string

Due after date

limit
integer<int64>

Max results

cursor
string

Pagination cursor

q
string

Search query

Response

200

List of tasks